#!/usr/bin/python3
#
# 
#

import PyTango
import sys, os
import time
from datetime import datetime

def main():


    try:
        selfseq_dev = PyTango.DeviceProxy(sys.argv[1])
        
        
    except DevFailed as e:
        #print(str(e))
        selfseq_dev.write_attribute("ScriptErr", f"{type(e).__name__} while defining tango devices: {e}")      # scrive l'eventuale errore sull'attributo "ScriptErr" della sequenza
        sys.exit(1)

    try:
        while str(selfseq_dev.State()) == 'RUNNING':
            current_time = datetime.now()
            if current_time.minute >= 1 and current_time.minute < 2 and current_time.second < 15:
                print("passato")
                break
            else:
                time.sleep(1)
    except Exception as e:
        selfseq_dev.write_attribute("ScriptErr", f"{type(e).__name__} {e}")
        print(str(e))
     
           
if __name__ == '__main__':
    main()
